package Lambda;

import java.util.ArrayList;
import java.util.List;

public class FunctionalInterfaceExample {

    public static void main(String[] args) {
        List<Person> people = new ArrayList<>();
        people.add(new Person("harshitha",1));
        people.add(new Person("Sai",2));
        people.add(new Person("anusha",4));

        people.sort((person1,person2) -> {
            return person1.getAge() - person2.getAge();
        });
        for(Person person: people){
            System.out.println(person.getName()+ " " +person.getAge());
        }

    }
}

class Person{
    private String name;
    private int age;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public Person(String name, int age) {
        this.name = name;
        this.age = age;
    }
}
